package de.lmu.ifi.pms.cep.dura.compiler.exceptions;

import de.lmu.ifi.pms.cep.tsa.conditions.Variable;

public class DuraUnknownVariableException extends DuraUnspecificCompliationException {
	public final String name;
	
	public DuraUnknownVariableException(Variable<?> var) {
		super(String.format("unknown variable: %s", var.name));
		
		this.name = var.name;
	}

}
