package de.lmu.ifi.pms.cep.event_mill.io.catalog;

import de.lmu.ifi.pms.cep.tsa.schema.BasicTypeID;
import de.lmu.ifi.pms.java.util.collection.array.fixed.FixedArrayNavigableSet;
import de.lmu.ifi.pms.java.util.map.fixed.FixedArrayNavigableMap;



public abstract class DataCatalog{
	
	public boolean exists(final String messageType){
		return this.messageTypes().contains(messageType);
	}
	
	public abstract FixedArrayNavigableSet<String> messageTypes();
	
	public abstract FixedArrayNavigableMap<String, BasicTypeID> attributeTypes(final String messageTypes);

}
