package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.NamedType;
import de.lmu.ifi.pms.cep.tsa.schema.NamelessType;

public class NamedTypeNamedConstant<TypeClass extends NamelessType> extends TypedNamedConstant<NamedType<TypeClass>> {	

	public NamedTypeNamedConstant(final String name, final NamedType<TypeClass> type) {
		super(type, name);
	}
	
	@Override
	public NamedTypeNamedConstant<TypeClass> rename(final String newName) {
		return new NamedTypeNamedConstant<TypeClass>(newName, this.type);
	}

}
