package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.BasicTypeID;

public class StringAttribute extends BasicTypeAttribute {

	protected StringAttribute(final String name) {
		super(name, BasicTypeID.STRING);
	}
	
	@Override
	public StringAttribute rename(final String newName) {
		return new StringAttribute(newName);
	}
	
}
