package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.BasicTypeID;

public class TimestampAttribute extends BasicTypeAttribute {

	protected TimestampAttribute(final String name) {
		super(name, BasicTypeID.TIMESTAMP);
	}
	
	@Override
	public TimestampAttribute rename(final String newName) {
		return new TimestampAttribute(newName);
	}
	
	public static TimestampAttribute create(final String name){
		return (TimestampAttribute) BasicTypeAttribute.create(name, BasicTypeID.TIMESTAMP);
	}
	
}
