package de.lmu.ifi.pms.cep.tsa.optimization;

import de.lmu.ifi.pms.cep.compilation.Compiler;
import de.lmu.ifi.pms.cep.tsa.DTSA_Program;

public abstract class DTSA_Optimizer extends Compiler<DTSA_Program, DTSA_Program>{
	
	public DTSA_Optimizer() {
		super(DTSA_Program.class, DTSA_Program.class);
	}
	
	@Override
	public DTSA_Program compile(final DTSA_Program sourceProgram) {
		return this.optimize(sourceProgram);
	}
	
	public abstract DTSA_Program optimize(DTSA_Program program);

}
