package de.lmu.ifi.pms.java.lang.iteration;

public abstract class AbstractFixedIterator<Type> extends AbstractIterator<Type> implements FixedIterator<Type>{

	@Override
	public abstract boolean hasNext();

	@Override
	public abstract Type next();

	@Override
	@Deprecated
	public final void remove() {
		//TODO better Exception
		throw new UnsupportedOperationException();
	}
	
}
