/**
 * 
 */
package de.lmu.ifi.pms.java.util.collection.extendible.list;

/**
 * @author Simon Matthias Brodt
 *
 */
public class SingleLinkedList<Type> extends AbstractSingleLinkedList<Type, SingleLinkedEntry<Type>> {

	public SingleLinkedList() {
		super();
	}

	@Override
	public SingleLinkedEntry<Type> newListHead(AbstractSingleLinkedList<Type, SingleLinkedEntry<Type>> linkingList) {
		return new SingleLinkedEntry<Type>(linkingList);
	}
	
	@Override
	public SingleLinkedEntry<Type> newUnlinkedEntry(Type value) {
		return new SingleLinkedEntry<Type>(value);
	}

}
