package de.lmu.ifi.pms.java.util.map.fixed;

import de.lmu.ifi.pms.java.util.map.AbstractSortedMap.AbstractJavaSortedMap;
import de.lmu.ifi.pms.java.util.map.javaWrapper.ToJavaSortedMapWrapper;

public abstract class AbstractFixedSortedMap<KeyType, ValueType, EntryType extends FixedEntry<KeyType, ValueType>> extends AbstractFixedMap<KeyType, ValueType, EntryType> implements FixedSortedMap<KeyType, ValueType, EntryType> {

	@Override
	public AbstractJavaSortedMap<KeyType, ValueType> javaMap() {
		return new ToJavaSortedMapWrapper<KeyType, ValueType>(this);
	}
	
}
