package de.lmu.ifi.pms.java.util.map.fixed;

import de.lmu.ifi.pms.java.util.map.SortedMap;


public interface FixedSortedMap<KeyType, ValueType, EntryType extends FixedEntry<KeyType, ValueType>> extends FixedMap<KeyType, ValueType, EntryType>, SortedMap<KeyType, ValueType, EntryType>{

	@Override
	public FixedSortedMap<KeyType, ValueType, ?> subMap(KeyType fromKey, KeyType toKey);
	
	@Override
	public FixedSortedMap<KeyType, ValueType, ?> headMap(KeyType toKey);
	
	@Override
	public FixedSortedMap<KeyType, ValueType, ?> tailMap(KeyType fromKey);
	
}
