package de.lmu.ifi.pms.java.util.stream.io;

import java.io.Closeable;

import de.lmu.ifi.pms.java.util.tupel.Tupel;



public abstract class ObjectOutputStream<Type, ResourceTupelType extends Tupel<? extends Closeable>> extends AbstractResourceCloseable<ResourceTupelType>{
		
	public ObjectOutputStream() {
		super();
	}

	public abstract void writeObject(Type object);
	
	public abstract void flush();

}
