package de.lmu.ifi.pms.cep.event_mill.sql.compiler;

import org.simpleframework.xml.Attribute;

import de.lmu.ifi.pms.cep.compilation.CompilerFactory;
import de.lmu.ifi.pms.cep.event_mill.sql.SQL_Program_Spec;
import de.lmu.ifi.pms.cep.tsa.DTSA_Program;

public abstract class DTSA_SQL_WriterFactory extends CompilerFactory<DTSA_Program, SQL_Program_Spec>{
	
	public DTSA_SQL_WriterFactory(@Attribute(name="iri", required=true) final String identifier) {
		super(DTSA_Program.class, SQL_Program_Spec.class, identifier);
	}

	@Override
	public abstract DTSA_SQL_Writer make();
		
}
