package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.CompositeType;

public class DataTypeVariable extends TypedVariable<CompositeType> {	

	protected DataTypeVariable(final String name, final CompositeType type) {
		super(name, type);
	}
	
	@Override
	public DataTypeVariable rename(final String newName) {
		return new DataTypeVariable(newName, this.type);
	}
	
	public static DataTypeVariable create(final String name, final CompositeType type){
		return new DataTypeVariable(name, type);
	}

}
