package de.lmu.ifi.pms.cep.tsa.exceptions;

import de.lmu.ifi.pms.java.util.collection.fixed.FixedCollection;

public class TSA_Exception extends TSA_AbstractException {

	protected TSA_Exception() {
		super();
	}

	protected TSA_Exception(final String message) {
		super(message);

	}
	
	protected TSA_Exception(final String messageFormat, final Object... args) {
		super(messageFormat, args);
	}
	
	protected TSA_Exception(final Throwable cause) {
		super(cause);
	}

	protected TSA_Exception(final TSA_AbstractException cause) {
		super(cause);
	}

	protected TSA_Exception(final String message, final TSA_AbstractException cause) {
		super(message, cause);
	}
	
	public TSA_Exception(final FixedCollection<String> origin) {
		super(origin);
	}

	public TSA_Exception(final FixedCollection<String> origin, final String message) {
		super(origin, message);
	}
	
	public TSA_Exception(final FixedCollection<String> origin, final String messageFormat, final Object... args) {
		super(origin, messageFormat, args);
	}
	
	public TSA_Exception(final FixedCollection<String> origin, final Throwable cause) {
		super(origin, cause);
	}

	public TSA_Exception(final FixedCollection<String> origin, final TSA_AbstractException cause) {
		super(origin, cause);
	}

	public TSA_Exception(final FixedCollection<String> origin, final String message, final TSA_AbstractException cause) {
		super(origin, message, cause);
	}

}
