package de.lmu.ifi.pms.cep.tsa.exceptions;

import de.lmu.ifi.pms.java.util.collection.fixed.FixedCollection;

public class TSA_SchemaException extends TSA_AbstractException{
	
	protected TSA_SchemaException() {
		super();
	}

	public TSA_SchemaException(final String messageFormat, final Object... args) {
		super(messageFormat, args);
	}

	public TSA_SchemaException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public TSA_SchemaException(final String message) {
		super(message);
	}

	public TSA_SchemaException(final Throwable cause) {
		super(cause);
	}

	public TSA_SchemaException(final FixedCollection<String> origin,
			final String messageFormat, final Object... args) {
		super(origin, messageFormat, args);
	}

	public TSA_SchemaException(final FixedCollection<String> origin, final String message,
			final Throwable cause) {
		super(origin, message, cause);
	}

	public TSA_SchemaException(final FixedCollection<String> origin, final String message) {
		super(origin, message);
	}

	public TSA_SchemaException(final FixedCollection<String> origin, final Throwable cause) {
		super(origin, cause);
	}

	public TSA_SchemaException(final FixedCollection<String> origin) {
		super(origin);
	}

	
	
}
