package de.lmu.ifi.pms.java.util.collection;

public class Coordinate {

	protected final int[] coordinate;
	
	public Coordinate(final int... coordinate) {
		this.coordinate = coordinate;
	}
	
	public final int dimension(){
		return this.coordinate.length;
	}
	
	public final int value(final int index){
		return this.coordinate[index];
	}
	
	protected int[] coordinate(){
		return this.coordinate;
	}
	
	protected void set(final int index, final int value){
		this.coordinate[index] = value;
	}
	
}
