/**
 * 
 */
package de.lmu.ifi.pms.java.util.collection.extendible.list;

public interface SingleLinkedListEntry<Type, ListEntryType extends SingleLinkedListEntry<Type, ListEntryType>>{
	
	boolean isLinked();
	
	AbstractSingleLinkedList<Type, ListEntryType> linkingList();
	
	
	Type value();
	
	void setValue(Type newValue);
	

	boolean hasPrevious();

	ListEntryType previous();
	
	void insertBefore(ListEntryType entry);

	void removePrevious();
	
	
	void removePreceeding();
	
	boolean isFoot();
	
}